Subject: bug#769: [devuan-dev] bug#769: Incompatible with debian libgudev-1.0-0 version 238-2

From: Martin Steigerwald <[email-masked]>
Date: Tue, 21 Nov 2023 12:02:01 +0100

Hi Boian and Mark.

Thanks for getting back to me on this.

Boian Bonev - 21.11.23, 10:58:14 CET:
> On Mon, 2023-11-20 at 18:12 +0000, Mark Hindley wrote:
> > Martin,
> > 
> > On Sat, Nov 18, 2023 at 11:46:06AM +0100, Martin Steigerwald wrote:
> > > Hi!
> > > 
> > > Any update on this one?
> > 
> > As far as I know this is fixed. See (merged) #770 and #771.
> > 
> > Boian, can you confirm that?
> 
> Yes, this is partially fixed. There is no current/no-current tag
> support in eudev, but the other things should be ok.

Yes, indeed. I can login with updated libgudev just fine.

> > > I also ask cause I do get crashes currently when I try to access a
> > > mounted LUKS encrypted BTRFS filesystem on any external disk with 
> > > Dolphin. And I wonder whether they are related. However while I see
> > > 
> > > #4  0x00007fe13808ab94 in Solid::StorageAccess::isEncrypted() const
> > > () from /usr/lib/x86_64-linux-gnu/libKF5Solid.so.5
> > > 
> > > I see no call to libgudev, so it might be a different issue.
> > 
> > Yes, looks like a different issue to me.
> 
> Looks like not related to this bug.

Indeed, unfortunately this bug still happens. And indeed it seems to be 
related somehow to LUKS encryption. Cause I just tried it with an external 
1 TB USB SSD with Exfat and got no crash.

So still gotta research that a bit more and see whether it is reported 
already or if not, where to report it.

Best,
-- 
Martin